/**
 * @copyright 2020 ExtendApps, Inc.
 * @author Darren Hill darren@extendapps.com
 */

export type PackagingCode =
    'BAL'
    | 'BIN'
    | 'BOT'
    | 'BXT'
    | 'JAR'
    | 'LSE'
    | 'LUG'
    | 'OTHR'
    | 'REL'
    | 'SAK'
    | 'SKD'
    | 'SKE'
    | 'SLP'
    | 'TLD'
    | 'TRY'
    | 'Empty'
    | 'BAG'
    | 'BOX'
    | 'BDL'
    | 'CTN'
    | 'CAS'
    | 'CRT'
    | 'DZ'
    | 'DRM'
    | 'EAC'
    | 'GYL'
    | 'HDW'
    | 'LNFT'
    | 'PKG'
    | 'PAL'
    | 'PLT'
    | 'PCS'
    | 'LBS'
    | 'ROL'
    | 'TOT'
    | 'YD'
    | 'Skids'
    | 'GAL'
    | 'KIT'
    | 'FT'
    | 'PAD'
    | 'PR'
    | 'SET'
    | 'SHT'
    | 'M'
    | 'KG'
    | 'IBC'
    | 'BAT'
    | 'AST'
    | 'CUB'
    | 'RKS'
    | 'PCK'
    | 'TH'
    | '24BIN'
    | '30BIN'
    | '36BIN'
    | '40BIN'
    | 'BSHL'
    | 'CLLPK'
    | 'DRC'
    | 'ECO'
    | 'EURO'
    | 'FLAT'
    | 'HFBIN'
    | 'HFCTN'
    | 'HVYPK'
    | 'IFCO'
    | 'I6408'
    | 'I6411'
    | 'I6413'
    | 'I6416'
    | 'I6419'
    | 'I6423'
    | 'I6425'
    | 'I6428'
    | 'ORBIS'
    | 'O6409'
    | 'O6411'
    | 'O6413'
    | 'O6416'
    | 'O6419'
    | 'O6425'
    | 'O6428'
    | 'P4311'
    | 'P4317'
    | 'P6408'
    | 'P6411'
    | 'P6413'
    | 'P6416'
    | 'P6419'
    | 'P6423'
    | 'P6425'
    | 'P6428'
    | 'RPC'
    | 'R6411'
    | 'R6413'
    | 'R6416'
    | 'TNBIN'
    | 'TOSCA'
    | 'T6408'
    | 'T6411'
    | 'T6413'
    | 'T6416'
    | 'T6419'
    | 'T6423'
    | 'T6425'
    | 'T6428'
    | 'WDCRT'
    | 'BRL'
    | 'RCK'
    | 'TUB'
    | 'CG'
    | 'DSP'
    | 'SQF'
    | 'CYL'
    | 'KEG'
    | 'IFCLB'
    | 'PLT1'
    | 'PLT2'
    | 'PLT3'
    | 'CAR'
    | 'COIL'
    | 'PI'
    | 'GOH'
    | 'BLK'
    | 'POG'
    | 'L'
    | 'IPLT';
